Skip to main content
`Ctrl`+`K`

# VecCUDAResetArray

Resets a vector to use its default memory.

## Synopsis

    #include <petscvec.h>
    PetscErrorCode VecCUDAResetArray(Vec vin)

Logically Collective; No Fortran Support

## Input Parameters

- vec - the vector

## Note

Call this after the use of `VecCUDAPlaceArray()`.

## See Also

Vectors and Parallel Data, `VecGetArray()`, `VecRestoreArray()`, `VecReplaceArray()`, `VecPlaceArray()`, `VecResetArray()`, `VecCUDAPlaceArray()`, `VecCUDAReplaceArray()`

## Level

advanced

## Location

src/vec/vec/impls/seq/cupm/cuda/vecseqcupm.cu

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages